Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.webmail
Class WebMail.SessionObject

    java.lang.Object
      i2p.susi.webmail.WebMail.SessionObject

Enclosing class:
  WebMail

     class WebMail.SessionObject

extends Object

data structure to hold any persistent data (to store them in session dictionary)

Author:
  susi

Field Summary
`ArrayList` | `attachments`
`(package private) String` | `body`
`(package private) boolean` | `clear`
`(package private) String` | `error`
`(package private) Folder` | `folder`
`(package private) String` | `host`
`(package private) String` | `info`
`(package private) boolean` | `invert`
`(package private) POP3MailBox` | `mailbox`
`(package private) MailCache` | `mailCache`
`(package private) boolean` | `markAll`
`(package private) boolean` | `pageChanged`
`(package private) String` | `pass`
`boolean` | `reallyDelete`
`(package private) String` | `replyCC`
`(package private) String` | `replyTo`
`String` | `sentMail`
`MailPart` | `showAttachment`
`(package private) String` | `showUIDL`
`(package private) int` | `smtpPort`
`(package private) int` | `state`
`(package private) String` | `subject`
`(package private) String` | `user`

Constructor Summary
`WebMail.SessionObject()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageChanged

    boolean pageChanged

### markAll

    boolean markAll

### clear

    boolean clear

### invert

    boolean invert

### state

    int state

### smtpPort

    int smtpPort

### mailbox

    POP3MailBox mailbox

### mailCache

    MailCache mailCache

### folder

    Folder folder

### user

    String user

### pass

    String pass

### host

    String host

### error

    String error

### info

    String info

### replyTo

    String replyTo

### replyCC

    String replyCC

### subject

    String subject

### body

    String body

### showUIDL

    String showUIDL

### showAttachment

    public MailPart showAttachment

### sentMail

    public String sentMail

### attachments

    public ArrayList attachments

### reallyDelete

    public boolean reallyDelete

Constructor Detail

### WebMail.SessionObject

    WebMail.SessionObject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD